# https://files.pythonhosted.org/packages/45/13/3db24895497345fb44c4248c08b16da34a9eb02643cea2754b21b5ed08b0/iso8601-0.1.12.tar.gz
%define module iso8601

Name:           python-%{module}
Version:        0.1.12
Release:        %mkrel 2
Summary:        Simple module to parse ISO 8601 dates

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/iso8601/
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This module parses the most common forms of ISO 8601 date strings (e.g.
2007-01-14T20:34:22+00:00) into datetime objects.

%package -n python3-%{module}
Summary:        Simple module to parse ISO 8601 dates
Group:          Development/Python

%description -n python3-%{module}
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%files
%doc LICENSE README.rst
%{python2_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/*

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%changelog
* Mon Aug 22 2022 tex - 0.1.12-2pclos2022
- rebuild against updates

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 0.1.12-1pclos2018
- update

* Sat Sep 19 2015 bb <bb> 0.1.10-1pclos2015
- update
